package com.aidex.system.domain.vo;

import com.aidex.system.domain.SysWharf;
import com.alibaba.fastjson2.JSONArray;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author ：Chensir
 * @date ：Created in 2024/3/21 14:41
 * @description：航线信息
 */
@Data
@AllArgsConstructor
@NoArgsConstructor()
public class SysRouteVo {

	// 航线名称
	@ApiModelProperty(value = "航线名称")
	private String name;

	// 航线始发站码头信息
	@ApiModelProperty(value = "航线始发站码头信息")
	private SysWharf firstWharf;

	// 航线终点站码头信息
	@ApiModelProperty(value = "航线终点站码头信息")
	private SysWharf lastWharf;

	// 航线首班时间
	@ApiModelProperty(value = "航线首班时间")
	private String firstFlightTime;

	// 航线末班时间
	@ApiModelProperty(value = "航线末班时间")
	private String lastFlightTime;

	// 航线票价信息
	@ApiModelProperty(value = "航线票价")
	private String fare;

	// 航线经纬度信息
	@ApiModelProperty(value = "航线经纬度")
	private JSONArray pathList;


	@ApiModelProperty(value = "航线站点")
	private List<SysWharf> sysWharfList;


}
